curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Actualiza o crea múltiples eventos de marketing. Si un evento de marketing con el ID especificado ya existe, se actualizará; de lo contrario, se creará un nuevo evento
Solo se actualizarán eventos de marketing creados originalmente por la misma aplicación.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
Mostrar atributos secundarios
successful operation
Marca de tiempo de cuando se completó la solicitud.
Mostrar atributos secundarios
Marca de tiempo de cuando comenzó a procesarse la solicitud.
Estado de la respuesta.
CANCELED, COMPLETE, PENDING, PROCESSING Mostrar atributos secundarios
Resultado de la solicitud.
Mostrar atributos secundarios
El número de errores que se produjeron durante la solicitud.
Marca de tiempo de cuando se envió la solicitud.